# $Revision: 1.7.2.1 $, $Date: 2003/03/13 00:56:43 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CAST5_PP
Summary:	Crypt::CAST5_PP Perl module - CAST5 block cipher implemented in pure Perl
Summary(pl):	Modu Perla Crypt::CAST5_PP - szyfr blokowy CAST5 zaimplementowany w samym Perlu
Name:		perl-Crypt-CAST5_PP
Version:	1.02
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Test-Simple >= 0.1
BuildRequires:	rpm-perlprov >= 4.0.2-104
Provides:	perl(Crypt::CAST5_PP::Tables)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a pure Perl implementation of the CAST5 block
cipher. CAST5 is also known as CAST-128. It is a product of the CAST
design procedure developed by C. Adams and S. Tavares. The CAST5
cipher is available royalty-free.

%description -l pl
Ten modu zawiera implementacj szyfru blokowego CAST5 napisan w
samym Perlu. CAST5 jest znany take jako CAST-128 i jest produktem
procesu projektowania CAST, tworzonego przez C. Adamsa i S. Tavaresa.
Szyfr CAST5 jest dostpny bezpatnie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/CAST5_PP.pm
%{perl_sitelib}/Crypt/CAST5_PP
%dir %{perl_sitelib}/auto/Crypt/CAST5_PP
%{perl_sitelib}/auto/Crypt/CAST5_PP/autosplit.ix
%{perl_sitelib}/auto/Crypt/CAST5_PP/*.al
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-CAST5_PP.spec,v $
Revision 1.7.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.7  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.6  2003/02/18 15:28:40  ankry
- massive attack: change CPAN URLs

Revision 1.5  2002/10/02 14:32:20  qboosh
- use _without_tests, added bcond description

Revision 1.4  2002/09/08 11:02:45  radek
- version 1.02

Revision 1.3  2002/08/07 04:51:43  kloczek
- updated to 1.01,
- added peroming post build tests.

Revision 1.2  2002/07/28 23:59:44  ankry
- added Provides: perl(Crypt::CAST5_PP::Tables)

Revision 1.1  2002/07/28 18:02:42  qboosh
- new
